package com.starbuds.server.service.core.impl;

import com.starbuds.server.common.pojo.message.AliyunConfig;
import com.starbuds.server.common.service.core.ConfigService;
import com.starbuds.server.service.core.prop.AliyunProperties;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 配置服务实现
 *
 * @author Lay
 * @date 2019-03-19
 */
@Service(version = "1.0.0")
public class ConfigServiceImpl implements ConfigService {

    @Autowired
    private AliyunProperties aliyunProperties;

    @Override
    public AliyunConfig getAliyunConfig() {
        AliyunConfig aliyunConfig = new AliyunConfig();
        BeanUtils.copyProperties(aliyunProperties, aliyunConfig);
        return aliyunConfig;
    }
}
