package com.starbuds.server.service.core.prop;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @Author jiangxiaowei
 * @DateTime 2019/12/2 14:16
 * @Description 阿里云配置类
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "aliyun")
public class AliyunProperties {

    private String accessKey;

    private String accessSecret;

    private String topic;

    private String signName = "pany";

    private String regionId = "cn-hangzhou";

    private String regTemplateCode;

    private String loginTemplateCode;

    private String forgetTemplateCode;

    private String bindTemplateCode;

    private String upgradeTemplateCode;

}

